# on:
#   pull_request:
#     branches:
#       - main
#     paths:
#       - frontend/**


# name: Build web

# jobs:
#   build:
#     name: Build Web
#     runs-on: ubuntu-latest
#     steps:

#     - name: Install prerequisites
#       run: |
#         sudo apt-get update
#         sudo apt-get install -y xz-utils

#     - uses: actions/checkout@v4

#     - uses: https://github.com/subosito/flutter-action@v2
#       with:
#         channel: stable
#         flutter-version: 3.19.6
#         cache: true

#     - run: flutter pub get
#       working-directory: ./frontend

#     - run: flutter build web
#       working-directory: ./frontend
